django-admin.py(1)

NAME
django-admin.py - Utility script for the Django Web framework

SYNOPSIS
django-admin.py <action> [options]

DESCRIPTION
This utility script provides commands for creation and maintenance of Django projects and apps.

With the exception of startproject, all commands listed below can also be performed with the manage.py script found at the top level of each Django project directory.

ACTIONS

cleanup
    Cleans out old data from the database (only expired sessions at the moment).

compilemessages [--locale=LOCALE]
    Compiles .po files to .mo files for use with builtin gettext support.

createcachetable [tablename]
    Creates the table needed to use the SQL cache backend

createsuperuser [--username=USERNAME] [--email=EMAIL]
    Creates a superuser account (a user who has all permissions).

dbshell
    Runs the command-line client for the specified databaseENGINE.

diffsettings
    Displays differences between the current settings.py and Django's default settings. Settings that don't appear in the defaults are followed by "###".

dumpdata [--all] [--format=FMT] [--indent=NUM] [--natural=NATURAL] [app_label app_label app_label.Model ...]
    Outputs to standard output all data in the database associated with the named application(s).

flush
    Removes all data from the database and then re-installs any initial data.

inspectdb
    Introspects the database tables in the database specified in settings.py and outputs a Django model module.

loaddata [fixture fixture ...]
    Searches for and loads the contents of the named fixture into the database.

install [app_label ...]
    Executes sqlall for the given app(s) in the current database.

makemessages [--locale=LOCALE] [--domain=DOMAIN] [--extension=EXTENSION] [--all] [--symlinks] [--ignore=PATTERN] [--no-default-ignore] [--no-wrap] [--no-location]
    Runs over the entire source tree of the current directory and pulls out all strings marked for translation. It creates (or updates) a message file in the conf/locale (in the django tree) or locale (for project and application) directory.

runfcgi [KEY=val] [KEY=val] ...
    Runs this project as a FastCGI application. Requires flup. Use runfcgi help for help on the KEY=val pairs.

runserver [--noreload] [--nothreading] [--nostatic] [--insecure] [--ipv6] [port|ipaddr:port]
    Starts a lightweight Web server for development.

shell [--plain]
    Runs a Python interactive interpreter. Tries to use IPython, if it's available. The --plain option forces the use of the standard Python interpreter even when IPython is installed.

sql [app_label ...]
    Prints the CREATE TABLE SQL statements for the given app name(s).

sqlall [app_label ...]
    Prints the CREATE TABLE, initial-data and CREATE INDEX SQL statements for the given model module name(s).

sqlclear [app_label ...]
    Prints the DROP TABLE SQL statements for the given app name(s).

sqlcustom [app_label ...]
    Prints the custom SQL statements for the given app name(s).

sqlflush [app_label ...]
    Prints the SQL statements that would be executed for the "flush" command.

sqlindexes [app_label ...]
    Prints the CREATE INDEX SQL statements for the given model module name(s).

sqlinitialdata [app_label ...]
    Prints the initial INSERT SQL statements for the given app name(s).

sqlsequencereset [app_label ...]
    Prints the SQL statements for resetting PostgreSQL sequences for the given app name(s).

startapp [--template=PATH_OR_URL] [--extension=EXTENSION] [--name=FILENAME] [app_label] [destination]
    Creates a Django app directory structure for the given app name in the current directory or the optional destination.

startproject [--template=PATH_OR_URL] [--extension=EXTENSION] [--name=FILENAME] [projectname] [destination]
    Creates a Django project directory structure for the given project name in the current directory or the optional destination.

migrate
    Runs migrations for apps containing migrations, and just creates missing tables for apps without migrations.

test [--verbosity] [--failfast] [app_label ...]
    Runs the test suite for the specified applications, or the entire project if no apps are specified

testserver [--addrport=ipaddr|port] [fixture fixture ...]
    Runs the test suite for the specified applications, or the entire project if no apps are specified

validate
    Validates all installed models.

OPTIONS

--version
    Show program's version number and exit.

-h, --help
    Show this help message and exit.

--settings=SETTINGS
    Python path to settings module, e.g. "myproject.settings.main". If this isn't provided, the DJANGO_SETTINGS_MODULE environment variable will be used.

--pythonpath=PYTHONPATH
    Lets you manually add a directory the Python path, e.g. "/home/djangoprojects/myproject".

--plain
    Use plain Python, not IPython, for the "shell" command.

--noinput
    Do not prompt the user for input.

--noreload
    Disable the development server's auto-reloader.

--nostatic
    Disable automatic serving of static files from STATIC_URL.

--nothreading
    Disable the development server's threading.

--insecure
    Enables serving of static files even if DEBUG is False.

--ipv6
    Enables IPv6 addresses.

--verbosity=VERBOSITY
    Verbosity level: 0=minimal output, 1=normal output, 2=all output.

--traceback
    By default, django-admin.py will show a simple error message whenever an error occurs. If you specify this option, django-admin.py will output a full stack trace whenever an exception is raised.

-l, --locale=LOCALE
    The locale to process when using makemessages or compilemessages.

-d, --domain=DOMAIN
    The domain of the message files (default: "django") when using makemessages.

-e, --extension=EXTENSION
    The file extension(s) to examine (separate multiple extensions with commas, or use -e multiple times) (makemessages command).

-s, --symlinks
    Follows symlinks to directories when examining source code and templates for translation strings (makemessages command).

-i, --ignore=PATTERN
    Ignore files or directories matching this glob-style pattern. Use multiple times to ignore more (makemessages command).

--no-default-ignore
    Don't ignore the common private glob-style patterns 'CVS', '.*', '*~' and '*.pyc' (makemessages command).

--no-wrap
    Don't break long message lines into several lines (makemessages command).

--no-location
    Don't write '#: filename:line' comment lines in language files (makemessages command).

-a, --all
    Process all available locales when using makemessages.

--template=PATH_OR_URL
    The file or directory path or URL to load the project and app templates from.

-n, --name=FILENAME
    The name of an additional file to render when using app and project templates.

--database=DB
    Used to specify the database on which a command will operate. If not specified, this option will default to an alias of "default".

ENVIRONMENT

DJANGO_SETTINGS_MODULE
    In the absence of the --settings option, this environment variable defines the settings module to be read. It should be in Python-import form, e.g. "myproject.settings".

SEE ALSO
Full descriptions of all these options, with examples, as well as documentation for the rest of the Django framework, can be found on the Django site:

http://docs.djangoproject.com/en/dev/

or in the distributed documentation.

AUTHORS/CREDITS
Originally developed at World Online in Lawrence, Kansas, USA. Refer to the AUTHORS file in the Django distribution for contributors.

LICENSE
New BSD license. For the full license text refer to the LICENSE file in the Django distribution.